<script lang="ts">
	import ShadeUI from './ShadeUI.svelte';
	import axios from 'axios';
	export let agentState;
	export let screen: string = 'controls';
	const boxAddres = 'BOX_ADDRESS';

	const mssg = process.env.isProd
		? 'This is production mode'
		: 'FOO';

	let commandUrl: string = `${boxAddres}/api/agents/${agentState.name}/command`;

	console.log('initial agent state', agentState);

	async function setPosition(event) {
		console.log('set position', event.detail.position);
		let response = await axios.post(commandUrl, {
			name: 'position',
			args: [event.detail.position],
		});
		console.log(response);
	}

	async function onPair() {
		let response = await axios.post(commandUrl, {
			name: 'pair',
		});
		console.log(response);
	}
</script>

<style>
	main {
		text-align: center;
		margin: 0 auto;
		background-color: #eee;
		width: 100%;
		height: 100%;
	}
</style>

<main>
	<button on:click={onPair}>pair</button>
	{#if screen == 'controls'}
		<ShadeUI on:setPosition={setPosition} />
	{:else if screen == 'calibration'}
		<div>Calibration</div>
	{/if}
</main>
